precision mediump float;

varying vec2 v_texcoord_0;

uniform sampler2D s_diffuse; // sky
uniform sampler2D s_ex1; // sky blend

uniform float u_float_blendamount; // how much to mix them, if it's zero it doesn't do any mixing

void main()
{
	gl_FragColor =  mix( texture2D(s_diffuse,v_texcoord_0), texture2D(s_ex1,v_texcoord_0), u_float_blendamount );
}
