precision mediump float;

varying vec2 v_texcoord_0;
varying vec4 v_texcoord_blur_1;

uniform sampler2D s_diffuse;

void main()
{
	vec4 color;
	
	color  = texture2D(s_diffuse, v_texcoord_blur_1.xy) * 0.25;
	color += texture2D(s_diffuse, v_texcoord_0)         * 0.5;
	color += texture2D(s_diffuse, v_texcoord_blur_1.zw) * 0.25;
	
	gl_FragColor = color;
}
